/// <reference types="react" />
export declare const StackedCheckBoxRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    disabled: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const OpaqueCheckBox: import("@emotion/styled").StyledComponent<import("../../core/components/CheckBox").CheckBoxProps & import("react").RefAttributes<HTMLLabelElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const StackedBackground: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    size: number;
    checked: boolean;
    checkedColor: string;
    uncheckedColor: string;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const Label: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & import("../../core/components/CheckBox/types").CheckBoxLabelProps & import("react").ClassAttributes<HTMLSpanElement> & import("react").HTMLAttributes<HTMLSpanElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
